| Home | Libraries | People | FAQ | More

## Struct template weighted_median_impl

boost::accumulators::impl::weighted_median_impl — Median estimation for weighted samples based on the quantile estimator.

## Synopsis

    // In header: <boost/accumulators/statistics_fwd.hpp>

    template<typename Sample>
    struct weighted_median_impl : public accumulator_base {
      // construct/copy/destruct
      weighted_median_impl(dont_care);

      // public member functions
      template<typename Args> result_type result(Args const &) const;
    };

## Description

The algorithm for weighted samples is invoked with a quantile probability of 0.5.

### `weighted_median_impl` public construct/copy/destruct

1.     weighted_median_impl(dont_care);

### `weighted_median_impl` public member functions

1.     template<typename Args> result_type result(Args const & args) const;